#
# spec file for package perl-ExtUtils-Manifest
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-ExtUtils-Manifest
Version:        1.70
Release:        6.1
%define cpan_name ExtUtils-Manifest
Summary:        utilities to write and check a MANIFEST file
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/ExtUtils-Manifest/
Source:         http://www.cpan.org/authors/id/E/ET/ETHER/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
utilities to write and check a MANIFEST file

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.70
  see /usr/share/doc/packages/perl-ExtUtils-Manifest/Changes
  Revision history for ExtUtils-Manifest
  1.70  2014-12-31
  - also skip _eumm, an artifact of ExtUtils::MakeMaker 7.05*
  - avoid unreliable permissions tests on cygwin
  1.69  2014-11-16
  - also skip _build_params, generated by Module::Build::Tiny
  1.68  Tue, Sep 16, 2014
  - Fix regression with manifind() and following symlinks
  1.66  Sun, Aug 31, 2014
  - manifind() will now follow symlinks
  - Tests fixed if PERL_MM_MANIFEST_VERBOSE env var is set to
    false value
  - Fixed bug with maniread()'s handling of quoted filenames
  1.65  Fri, Aug  8, 2014
  - Support perls < v5.8.3 once again
  - Don't generate MANIFESTs with CRLFs on Windows
  1.64  Thu, Jul 17, 2014
  - Ignore vim swap files and prove generated files
  - use Exporter import
  - use 'our' instead of use vars
* Sat Feb  8 2014 lars@linux-schulserver.de
- update to 1.63:
  - Deal with VMS extended filespecs
  - Normalize VMS case handling in ExtUtils::Manifest.
  - Avoid some test-time warnings.
  - Current VMS can handle filenames with spaces.
* Thu Jul 26 2012 chris@computersalat.de
- initial package 1.60
  * created by cpanspec 1.78.03
  * needed by BioPerl for SLE_11
